Skip to content
This repository
Fetching contributors…

Octocat-spinner-32-eaf2f5

Cannot retrieve contributors at this time

file 24 lines (20 sloc) 0.777 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23
# encoding: utf-8

# To run the test suite against all 3 rubies: 1.9.3, 1.9.2, and 1.8.7, simply run the following command:
#
# $ guard start
#
# Be use you are using RVM and have Ruby 1.9.3, 1.9.2, 1.8.7 installed as well as all of Backup's gem
# dependencies for each of these Ruby versions.
#
# Be sure to run `bundle install` against every Ruby version, as well as `gem install thor POpen4`

guard "rspec",
  :rvm => ["1.9.3", "1.9.2", "1.8.7"],
  :cli => "--color --format Fuubar",
  :notification => false,
  :all_after_pass => false,
  :all_on_start => false do

  watch("lib/backup.rb") { "spec" }
  watch("spec/spec_helper.rb") { "spec" }
  watch(%r{^lib/backup/(.+)\.rb}) {|m| "spec/#{ m[1] }_spec.rb" }
  watch(%r{^spec/.+_spec\.rb})
end
Something went wrong with that request. Please try again.